import type { StoryObj, Meta } from '@storybook/react';
import { NsPost } from '../';
import { ImageData1 } from '../fixtures/ImageData1';

type ComponentType = typeof NsPost;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    component: NsPost,
    title: 'Components/Containers/Card/NsPost',
} as MetaStory;

export const Default: Story = {
    args: {
        text: '38 New Beauty Products Our Editors Are Loving',
        body: 'SPA & BEAUTY TODAY',
        backgroundImageDetail: ImageData1,
    },
};
