/* eslint-disable max-len */

import { ReactElement } from 'react';

import {
    SvgIcon,
    SvgIconProps,
} from '@mui/material';

const CloseIcon = (props: SvgIconProps):ReactElement => {
    return (
        <SvgIcon
            viewBox="0 0 12 12"
            preserveAspectRatio="xMidYMid meet"
            xmlns="http://www.w3.org/2000/svg"
            xmlnsXlink="http://www.w3.org/1999/xlink"
            {...props}
            data-testid="close"
        >
            <g fill="none" stroke={props.color} strokeWidth="1">
                <path strokeLinecap="round" d="M 0 0 L 12 12 M 0 12 L 12 0" />
            </g>
        </SvgIcon>
    );
};

export default CloseIcon;
