import { InputLabelProps } from '@mui/material';
import { PropsWithChildren } from 'react';

export type NsLabelProps = PropsWithChildren &
    Omit<InputLabelProps, 'sx' | 'classes' | 'color' | 'margin' | 'variant' | 'classes'> & {
        /** purpose of showOptional props is to show additional text 'optional' in the label,
         *  if required = false and this flag is true */
        showOptional?: boolean;
        size?: number;
    };
