import { styled, ColorUtils } from '@nuskin/foundation-theme';
import { NsInputField } from '../input';
import { Popper } from '@mui/material';
const { getGenomeColor } = ColorUtils;

export const StyledTextField = styled(NsInputField)`
    .MuiAutocomplete-inputRoot {
        padding-right: 10px !important;
    }
    .styled-text-field.MuiOutlinedInput-root input#custom_autocomplete_dropdown::placeholder {
        opacity: 1;
        color: ${({ theme }) => getGenomeColor(theme, 'N100', 'light')};
    }
`;

export const StyledPopper = styled(Popper)`
    width: 100% !important;
    #custom_autocomplete_dropdown-listbox{
        overflow-x:hidden;
    }
`
