import type { StoryObj, Meta } from '@storybook/react';
import { NsAwardCard } from '../';
import { ImageData1 } from '../fixtures/ImageData1';

type ComponentType = typeof NsAwardCard;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    component: NsAwardCard,
    title: 'Components/Containers/Card/NsAwardCard',
} as MetaStory;

export const Default: Story = {
    args: {
        title: 'AgeLoc LumiSpa iO',
        awardName: '2023 Bronze Winner',
        mediaOutlet: 'Edison Awards',
        backgroundImageDetail: ImageData1,
    },
};
