import { DivArray } from './DivArray';

/* an array from 1 to n */
export const selectDivOptions = Array(16)
    .fill(0)
    .map((_, index) => index + 1);

/* this component is used only as a utility to show column control in storybook */
export const childrenMapping = selectDivOptions.reduce((childrenMappingObject, elementCount) => {
    return {
        ...childrenMappingObject,
        [elementCount]: <DivArray elementsCount={elementCount} />,
    };
}, {});
