import { ReactElement } from 'react';

import Image from 'next/image';

import { NsNextImageProps } from './types';

const NsNextImage = ({ src, width, height, alt, fill, priority, ...props }: NsNextImageProps): ReactElement => {
    return <Image src={src} width={width} height={height} alt={alt} fill={fill} priority={priority} {...props} />;
};

export default NsNextImage;
