import React, { ReactElement } from 'react';

import SpinnerIcon from './icons/Spinner';
import { SpinnerContainer } from './NsSpinner.styled';
import { NsSpinnerProps } from './types';

const NsSpinner: React.FC<NsSpinnerProps> = ({ size = 100, additionalProps }): ReactElement => {
    return (
        <SpinnerContainer size={size} className="spinner" {...additionalProps}>
            <SpinnerIcon />
        </SpinnerContainer>
    );
};

export default NsSpinner;
